Skip to main content
`Ctrl`+`K`

# PetscDSGetComponentDerivativeOffsets

Returns the offset of each field derivative on an evaluation point

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentDerivativeOffsets(PetscDS prob, PetscInt *offsets[])

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- offsets - The offsets

## See Also

`PetscDS`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages